This is the technical support forum for WPML - the multilingual WordPress plugin.

Everyone can read, but only WPML clients can post here. WPML team is replying on the forum 6 days per week, 22 hours per day.

This topic contains 4 replies, has 2 voices.

Last updated by nicholasD-2 2 months, 3 weeks ago.

Assigned support staff: Noman.

Author Posts
July 25, 2019 at 12:05 pm #4282827

nicholasD-2

Since long we're getting internal server errors on the website, which seem to be related to WPML. Today when it happened again we got the following in the error log:
[25-Jul-2019 06:38:34 UTC] PHP Fatal error: require_once(): Failed opening required '/home1/vacance1/public_html/wp-content/plugins/sitepress-multilingual-cms/inc/translation-management/pro-translation.class.php' (include_path='.:/opt/cpanel/ea-php56/root/usr/share/pear') in /home1/vacance1/public_html/wp-content/plugins/wpml-translation-analytics/inc/translation-analytics.class.php on line 251

Can you help please?

July 25, 2019 at 1:20 pm #4283449

Noman
Supporter

Languages: English (English )

Timezone: Asia/Karachi (GMT+05:00)

Hi,

Thank you for contacting WPML Support. The error seems to be caused by a missing file in the WPML Multilingual CMS plugin. In this case I recommend you to manually update the plugin and check if the issue persists.

To do a manual update please follow these steps:

1. Please take your full site backup.

2. Deactivate the existing WPML plugin.

3. Delete the plugin files – this does not delete your translations. You will simply delete the plugin files from your "wp-content/plugins" folder, NOT the database records.

4. Download the updated plugins from our servers (https://wpml.org/account/downloads/) and upload them to the plugin directory.

5. Activate the WPML plugin and add-ons.

Thank you

July 26, 2019 at 5:48 am #4287579

nicholasD-2

Thank you for your quick response. Do I have to manually update all the WPML plugins or just the core plugin? In my site I have plugin folders for wpml-translation-analytics, wpml-widgets and wpml-xliff, for which I cannot find any updated plugin for download. What should I do with those?

July 26, 2019 at 9:05 pm #4291879

Noman
Supporter

Languages: English (English )

Timezone: Asia/Karachi (GMT+05:00)

=== Please backup your database and website first ===

Usually you only need to manually update WPML core plugin and the other addons you can update from WP >> Installed Plugins >> Add new >> Commercial tab.

- OR because you are using very old version of plugins, you may need to update all WPML addons manually if above method fails.

Following plugins are deprecated and have no updates available:
wpml-translation-analytics, wpml-widgets and wpml-xliff

Thanks

July 29, 2019 at 5:36 am #4297089

nicholasD-2

My issue is resolved now. Thank you!